$PROB Probability of Pulmonary Exacerbation f(Dose Antibiotic DNase Age BaselineFEV)
$DATA ME2ExacerbationData.CSV IGNORE = @
$INPUT ID DOSE FEVB ABIO DNAS AGE DV
;DV  1=YES, 0=NO
$PRED
   LGT1 = THETA(1) + THETA(2)*DOSE + THETA(3)*(FEVB-70)
   LGT2 = THETA(4)*ABIO + THETA(5)*DNAS + THETA(6*(AGE-18)
   LGT = LGT1 + LGT2 + ETA(1)

   P = EXP(LGT)/(1+EXP(LGT))
   Y = P**DV*(1-P)**(1-DV)  ;Bernoulli PDF
   PYES=P
   PNO=1-P

$THETA  
; 6 initial estimates from glm() fit and bugsinit() in R  
-0.27; intercept
0.09 ; DOSE
-0.91 ; FEVB
-0.35 ; ABIO
-0.25 ; DNAS
-1.13 : AGE
    
$OMEGA 0 FIX  ; naive pool

$ESTIMATION PRINT=5 MAX=9999 METHOD=COND LAPLACE LIKELIHOOD MSFO=001.MSF 
$TABLE FILE=001.tab ID DOSE FEVB ABIO DNAS AGE LGT PYES PNO DV ONEHEADER NOPRINT 
