$PROB Longitudinal Binary Data - Probability of Cough f(DOSE and TIME)
$DATA ME2CoughData.CSV IGNORE = @
$INPUT ID DOSE TIME DV
;DV  1=YES, 0=NO 
$PRED
   E0 = THETA(1) + ETA(1)

   LKTL = THETA(2) ; LOG(KTOL)
   KTOL = EXP(LKTL)

   ALPH = THETA(3)

   LX50 = THETA(4)  ;LOG(X50)
   X50 = EXP(LX50)

   XTOL = DOSE * (1 - EXP(-KTOL*TIME))

   LGT1 = E0 + ALPH * DOSE / ( 1 + XTOL/X50 )

   P = EXP(LGT)/(1+EXP(LGT))
   Y = P**DV*(1-P)**(1-DV)  ;Bernoulli PDF

   PYES = P
   PNO = 1-P


; initial estimates from bugsinit() in R   
$THETA 
-1.4  ; E0
-3.22 ; LOG(KTOL)
0.01 ; ALPH
2.41 ; LOG(X50)
    
$OMEGA 2.6  ; Can estimate individual random effect w/repeated measures

$ESTIMATION PRINT=5 MAX=9999 METHOD=COND LAPLACE LIKELIHOOD MSFO=001.MSF 
$TABLE FILE=001.tab ID DOSE TIME E0 KTOL ALPH X50 LGT PYES PNO DV ETA1
 ONEHEADER NOPRINT 
