$PROB PD Model for Coughing Count Data as f(Dose): Poisson
$INPUT ID DOSE DV TIME
$DATA ME2CoughCountData.csv INGORE=@

$PRED
  LOGA = THETA(1)
  A = EXP(LOGA)
  LOGB = THETA(2)
  B = EXP(LOGB)
  LM = A + B * DOSE + ETA(1) ; ETA=0

; POISSON PDF FOR COUNTS

  POIS=(LM**DV)*EXP(-LM)
  Y=POIS

; initial estimates from bugsinit()
$THETA 
  -2.78 ; LOGA
  -6.8  ; LOGB

$OMEGA 0 FIX ; NAIVE POOL

$EST PRINT=2 METH=1 LAPLACE LIKELIHOOD

$TABLE ONEHEADER NOPRINT FILE=POIS.TAB ID A B POIS LM DV DOSE