$PROB PD Model for Coughing Count Data as f(Dose): PoissonLognormal
$INPUT ID DOSE DV TIME
$DATA ME2CoughCountData.csv  IGNORE=@

$PRED
; POISSON LOGNORMAL PDF FOR COUNTS

  LOGA = THETA(1)
  A = EXP(LOGA)
  LOGB = THETA(2)
  B = EXP(LOGB)
  LOGL = LOG(A + B * DOSE) + ETA(1)  ; Lognormal distribution of lambda
  LM = EXP(LOGL)

  PLN=(LM**DV)*EXP(-LM)
  Y=PLN

; initial estimates from bugsinit()
$THETA 
  -2.78 ; LOGA
  -6.8  ; LOGB

$OMEGA 0.008 ; 

$EST PRINT=2 METH=1 LAPLACE LIKELIHOOD

$TABLE ONEHEADER NOPRINT FILE=PLN.TAB ID A B PLN LM DV DOSE ETA1