$PROB PD Model for Coughing Count Data as f(Dose): ZIP
$INPUT ID DOSE DV TIME DFAC
; add DFAC column to Counts data: DFAC = factorial(DV) 
$DATA ME2CoughCountDataDFAC.csv  IGNORE=@

$PRED  ;ZIP pdf

;MODEL PROBABILITY OF NON-ZERO COUNT
   TLGT=THETA(1)  ; TV LOGIT
   LGT=TLGT + ETA(1)  ;ETA=0 naive pool
   PRB=EXP(LGT)/(1+EXP(LGT))  
   
;GIVEN NON-ZERO COUNT, MODEL POISSON PROB DISTRIBUTION
   LOGA = THETA(2)
   A = EXP(LOGA)
   LOGB = THETA(3)
   B = EXP(LOGB)
   LM = A + B * DOSE + ETA(2) ; ETA=0 naive pool.

; POISSON DIST FOR COUNTS
   POIS=(LM**DV)*EXP(-LM)/DFAC
   
   FLAG=0
     IF (DV.EQ.0) FLAG=1
 
;CONDITIONAL PROBABILITY OF ZERO COUNT
   PR0=PRB + (1-PRB)*EXP(-LM)   

;CONDITIONAL PROBABILITY OF COUNT 1, 2, 3, ..
   PN0=(1-PRB)*POIS

; ZERO-INFLATED POISSON PROBABILITY
   ZIP=PR0**FLAG * PN0**(1-FLAG)
   Y=ZIP

; PREDICTIONS FOR TABLE
   MCT=(1-PRB)*LM  ; Mean Counts
   VCT=MCT+MCT*(LM-MCT)  ; Variance of Counts

; initial estimates from bugsinit()
$THETA 
  -5  ; TLGT nonzero Count
  -2.78 ; LOGA
  -6.8  ; LOGB

$OMEGA 0 FIX 0 FIX ; NAIVE POOL

$EST PRINT=2 METH=1 LAPLACE LIKELIHOOD
$TABLE ONEHEADER NOPRINT FILE=ZIP.TAB 
 ID TLGT PRB A B LM POIS PR0 PN0 DV ZIP MCT VCT
   