$PROB PD Model for Time-to-Event First Pulmonary Exacerbation - Exponential PDF

$INPUT ID DOSE BFEV FEV1 DV CEN
   ; DV is Time of first pulmonary exacerbation
   ; CEN is censoring flag:  1 = censored within 12 weeks ,  0 = not censored within 12 weeks

$DATA ME3ExacerbationFEV1Data.csv IGNORE=@

$PRED
; Exponential time to event model
  ; Unlike WinBUGS implementation, we'll use the observed FEV1 here instead of modeling
  LGH0 = THETA(1)   ; LOG H0
  H0 =EXP(LGH0)
  BETA = THETA(2)
  HAZ= H0 * EXP(-BETA * (FEV1-70)) + ETA(1)  ; ETA=0
  SURV = EXP(-HAZ*DV)
  PDF = HAZ*EXP(-HAZ*DV)

  Y = (1-CEN)*PDF + CEN*SURV

; initial estimates from bugsinit()
$THETA
  -3.54  ; LGH0
   0.031 ; BETA

$OMEGA 0 FIX ; NAIVE POOL

$EST PRINT=2 METH=1 LAPLACE LIKELIHOOD

$TABLE ONEHEADER NOPRINT FILE=TTE.TAB 
 ID DOSE BFEV FEV1 CEN HAZ SURV PDF Y